/***************************************************************************
                           tdefilereplacelib.h  -  File library, derived from filelib.h
                                      -------------------
    begin                : lun mai  3 20:19:52 CEST 1999

    copyright            : (C) 1999 by François Dupoux
                           (C) 2003 Andras Mantia <amantia@kde.org>
                           (C) 2004 Emiliano Gulmini <emi_barbarossa@yahoo.it>
    email                : dupoux@dupoux.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TDEFILEREPLACELIB_H
#define TDEFILEREPLACELIB_H

// KDE
#include <tdelocale.h>
class KlistView;

// local
#include "configurationclasses.h"

class TDEFileReplaceLib
{
  public:

    /**
    Format a path, from a path and a filename, or another sub-path (avoid double '/' risks)
    Parameters::.....* basePath: fist path (can be "/" if root, or "/usr/bin/" or "/usr/bin" for example)
    .................* filename: second path (can be "/doc/html/", or "doc/html/" or "doc/html/index.html" for example)
    Return values:...* Full valid path (without double "/")
    */
    static TQString formatFullPath(const TQString& basePath, const TQString& fileName);

    static TQString formatFileSize(double size);

    /**
    Verifies that files, which we are scanning, respect some
    conditions
    */
    static bool isAnAccessibleFile(const TQString& filePath, const TQString& fileName, RCOptions* info);

    static void setIconForFileEntry(TQListViewItem* item, TQString path);
};
#endif // TDEFILEREPLACEFILELIB_H
